from django.http import HttpResponse, HttpResponseBadRequest, Http404
from django.shortcuts import render, render_to_response
from django.template import RequestContext


def docs(request):
	context = {
		"docs_url": "/docs/"
	}

	def ends_with(a, b):
		if a.endswith(b) or a.endswith(b + '/'):
			return True
		else:
			return False


	def a(request):
		return render_to_response("docs/intro.html", context, RequestContext(request) )

	def b(request):
		return render_to_response("docs/html-output.html", context, RequestContext(request))

	def c(request):
		return render_to_response("docs/validation.html", context, RequestContext(request))

	def d(request):
		return render_to_response("docs/extra-fts.html", context, RequestContext(request))

	if ends_with(request.path_info, "intro"):
		return a(request)
	elif ends_with(request.path_info, "html-output"):
		return b(request)
	elif ends_with(request.path_info, "validation"):
		return c(request)
	elif ends_with(request.path_info, "extra-fts"):
		return d(request)
	elif not ends_with(request.path_info, "docs"):
		raise Http404()
	return a(request)


